Mono.Data.SqliteClient 1.0.5000.0 2.0.0.0 System.Data.Common.DbCommand System.ICloneable Represents a command to execute on the database. SqliteCommands are usually created through the method.
- Constructor
  Creates a new empty command not associated with either a database or a transaction.
  Before accessing any properties or methods on this object, the property must be set to a . The command must be set with the property before executing the query.
  2.0.0.0
- Constructor
  The text of the SQL command to execute.
  Creates a new command not associated with either a database or a transaction..
  Before accessing any properties or methods on this object, the property must be set to a .
  2.0.0.0
- Constructor
  The text of the SQL command to execute.
  The database to execute the command on.
  Creates a new command with the given text and associated with the given connection.
  None.
  2.0.0.0
- Constructor
  The text of the SQL command to execute.
  The database to execute the command on.
  The transaction to associate the command with.
  Creates a new command with the given text and associated with the given connection and transaction.
  Transactions are not currently supported in the SqliteClient data adapter.
  2.0.0.0
- Method
  2.0.0.0
  System.String To be added. To be added. To be added.
- Method
  System.Void This method does nothing. None. 2.0.0.0
- Property
  System.String Gets or sets the SQL command. The SQL command. The syntax of the command is only checked when the command is executed. 2.0.0.0
- Property
  System.Int32 This property is not currently used. A timeout value. This property is not currently used. 2.0.0.0
- Property
  System.Data.CommandType This property is not currently used. A command type. This property is not currently used. 2.0.0.0
- Property
  Mono.Data.SqliteClient.SqliteConnection Gets or sets the connection associated with this command. A connection object. None. 2.0.0.0
- Method
  2.0.0.0
  System.Data.Common.DbParameter To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.Common.DbConnection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.Common.DbParameterCollection To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Data.Common.DbTransaction To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Data.Common.DbDataReader `` To be added. To be added. To be added. To be added.
- Method
  System.Int32 Executes the command and returns the number of rows affected. The number of rows affected by the command. None. 2.0.0.0
- Method
  Mono.Data.SqliteClient.SqliteDataReader Executes the command and returns a DataReader with the resulting table. A containing the resulting table. None. 2.0.0.0
- Method
  Mono.Data.SqliteClient.SqliteDataReader `` This parameter is currently ignored. Executes the command and returns a DataReader with the resulting table. A containing the resulting table. None. 2.0.0.0
- Method
  2.0.0.0
  Mono.Data.SqliteClient.SqliteDataReader `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Object Executes the command and returns the first value. Returns the value of the first column of the first row of the resulting table, or null if the command returned zero rows. None. 2.0.0.0
- Method
  System.Int32 Gets the ID of the most recently inserted row. The ID of the most recently inserted row. None. 2.0.0.0
- Property
  Mono.Data.SqliteClient.SqliteParameterCollection Gets the collection of parameters used in this command. An instance of . None. 2.0.0.0
- Method
  System.Void Prepares the command for execution. This command does nothing of consequence to the user of this library. Syntax exceptions in the command string, for instance, will be thrown only when the command is executed. 2.0.0.0
- Method
  2.0.0.0
  System.Object To be added. To be added. To be added.
- Property
  System.Data.Common.DbTransaction This property is not currently used. A transaction object. This property is not currently used. 2.0.0.0 System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden) System.ComponentModel.DefaultValue(null) System.ComponentModel.Browsable(false)
- Property
  System.Data.UpdateRowSource This property is not currently used. Unknown. This property is not currently used. 2.0.0.0